Subject: Re: git gc logs to standard error

From: Richard Rossel <[email-masked]>
Date: Mon, 14 Dec 2009 13:10:25 -0300

>
> On Monday 14 December 2009, Richard Rossel wrote:
>    
>> Hi,
>> I have a question related to the output of git gc logs. Let me
>> explain,
>>
>> [...]
>>
>> I realized that the message are sent to standard error,
>> so the question is why is the reason to do that?
>>
>> The quick solution to my problem of annoying mails is send the output
>> error to /dev/null
>> but what happens when an error really occur, there will be no message
>> to alert me.
>>      
> Try the --quiet parameter to "git gc" (and other git commands).
>
>
> ...Johan
>
>    

Yes,  the quiet option works when I do 'git gc', but in the cron file 
there is no
git-gc command, only fetch and reset. I suppose that  those commands 
calls (internally)
to git-gc.
Also I try with -q option in fetch and reset but without results, the 
only thing that
works was with 2>/dev/null, but as I mention before, is not a good idea 
because
I will miss the real errors messages.

The real question here is why git-gc send those logs to the standard 
error instead of
standard output?

--
Richard Rossel
Airsage Inc.
Valparaiso - Chile